<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <ImageView
        android:id="@+id/ivBg"
        android:src="@mipmap/female_bg"
        app:layout_constraintDimensionRatio="h,360:248"
        android:background="@drawable/shape_9ffd88_6ef2df"
        app:layout_constraintTop_toTopOf="parent"
        android:layout_width="match_parent"
        android:layout_height="0dp"/>

    <ImageView
        android:id="@+id/ivSetup"
        android:src="@mipmap/setup"
        android:layout_marginTop="36dp"
        android:layout_marginEnd="10dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        android:layout_width="30dp"
        android:layout_height="30dp"/>

    <ImageView
        android:id="@+id/ivEdit"
        android:src="@mipmap/edit"
        android:layout_marginTop="36dp"
        android:layout_marginEnd="10dp"
        android:padding="4dp"
        app:layout_constraintEnd_toStartOf="@+id/ivSetup"
        app:layout_constraintTop_toTopOf="parent"
        android:layout_width="30dp"
        android:layout_height="30dp"/>


    <de.hdodenhof.circleimageview.CircleImageView
        android:id="@+id/ivAvatar"
        android:layout_marginStart="20dp"
        android:layout_marginTop="66dp"
        android:src="@mipmap/default_avatar"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        android:layout_width="50dp"
        android:layout_height="50dp"/>

    <ImageView
        android:id="@+id/ivSex"
        app:layout_constraintEnd_toEndOf="@+id/ivAvatar"
        app:layout_constraintBottom_toBottomOf="@+id/ivAvatar"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

    <TextView
        android:id="@+id/tvName"
        android:maxLines="1"
        android:maxWidth="120dp"
        android:layout_marginStart="20dp"
        tools:text="NickName"
        android:textColor="#000"
        android:textSize="18dp"
        app:layout_constraintStart_toEndOf="@+id/ivAvatar"
        app:layout_constraintTop_toTopOf="@+id/ivAvatar"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

    <com.swago.baseswago.cusview.SwagoLevelView
        android:id="@+id/tvLevelView"
        app:layout_constraintStart_toEndOf="@+id/tvName"
        app:layout_constraintTop_toTopOf="@+id/tvName"
        app:layout_constraintBottom_toBottomOf="@+id/tvName"
        android:layout_marginStart="7dp"
        android:layout_marginTop="5dp"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

    <ImageView
        android:id="@+id/ivVip"
        android:src="@mipmap/vip"
        app:layout_constraintStart_toEndOf="@+id/tvLevelView"
        android:layout_marginStart="5dp"
        android:layout_marginBottom="2dp"
        tools:visibility="visible"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@+id/tvName"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

    <TextView
        android:id="@+id/tvID"
        android:maxLines="1"
        android:maxWidth="120dp"
        android:layout_marginStart="20dp"
        tools:text="ID:12030747"
        android:textColor="#868686"
        android:textSize="12dp"
        app:layout_constraintStart_toEndOf="@+id/ivAvatar"
        app:layout_constraintBottom_toBottomOf="@+id/ivAvatar"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

    <TextView
        android:id="@+id/tvSign"
        app:layout_constraintTop_toBottomOf="@+id/ivAvatar"
        android:layout_marginTop="10dp"
        android:textColor="#868686"
        android:textSize="12dp"
        android:layout_marginStart="20dp"
        android:layout_marginEnd="20dp"
        tools:text="Lord knows dreams are hard to follow, but don't let anyone tear them away."
        android:layout_width="match_parent"
        android:layout_height="wrap_content"/>





    <LinearLayout
        android:id="@+id/llFollow"

        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toStartOf="@+id/llFans"
        app:layout_constraintBottom_toBottomOf="@+id/ivBg"
        android:layout_marginBottom="40dp"
        android:orientation="vertical"
        android:gravity="center"
        app:layout_constraintHorizontal_chainStyle="spread"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content">

        <TextView
            android:id="@+id/tvFollowNum"
            android:textSize="24dp"
            android:textColor="#000"
            tools:text="24"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

        <TextView
            android:textColor="#868686"
            android:textSize="12dp"
            android:text="@string/follow"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

    </LinearLayout>


    <LinearLayout
        android:id="@+id/llFans"
        app:layout_constraintStart_toEndOf="@+id/llFollow"
        app:layout_constraintEnd_toStartOf="@+id/llCoin"
        app:layout_constraintBottom_toBottomOf="@+id/ivBg"
        android:layout_marginBottom="40dp"
        android:gravity="center"
        android:orientation="vertical"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content">

        <TextView
            android:id="@+id/tvFansNum"
            android:textSize="24dp"
            android:textColor="#000"
            tools:text="24"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

        <TextView
            android:textColor="#868686"
            android:textSize="12dp"
            android:text="@string/fans"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

    </LinearLayout>


    <LinearLayout
        android:id="@+id/llCoin"
        app:layout_constraintStart_toEndOf="@+id/llFans"
        app:layout_constraintEnd_toStartOf="@+id/llDiamonds"
        app:layout_constraintBottom_toBottomOf="@+id/ivBg"
        android:layout_marginBottom="40dp"
        android:gravity="center"
        android:orientation="vertical"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content">

        <TextView
            android:id="@+id/tvCoin"
            android:textSize="24dp"
            android:textColor="#000"
            tools:text="24"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

        <TextView
            android:textColor="#868686"
            android:textSize="12dp"
            android:text="@string/coin"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

    </LinearLayout>


    <LinearLayout
        android:id="@+id/llDiamonds"
        app:layout_constraintStart_toEndOf="@+id/llCoin"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintBottom_toBottomOf="@+id/ivBg"
        android:layout_marginBottom="40dp"
        android:gravity="center"
        android:orientation="vertical"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content">

        <TextView
            android:id="@+id/tvDiamonds"
            android:textSize="24dp"
            android:textColor="#000"
            tools:text="24"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

        <TextView
            android:textColor="#868686"
            android:textSize="12dp"
            android:text="@string/diamond"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

    </LinearLayout>



    <LinearLayout
        android:background="@drawable/shape_white_top_20"
        app:layout_constraintTop_toBottomOf="@+id/llFollow"
        app:layout_constraintBottom_toBottomOf="parent"
        android:orientation="vertical"
        android:layout_marginTop="20dp"
        android:layout_width="match_parent"
        android:layout_height="0dp">

        <TextView
            android:id="@+id/tvItemLevel"
            android:layout_marginTop="20dp"
            android:drawablePadding="5dp"
            android:paddingStart="20dp"
            android:paddingEnd="20dp"
            android:textColor="#000"
            android:textSize="16dp"
            android:gravity="center_vertical"
            android:text="@string/my_level"
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:drawableStart="@mipmap/item_level"
            android:drawableEnd="@mipmap/more_small" />

        <TextView
            android:id="@+id/tvRecharge"
            android:drawablePadding="5dp"
            android:paddingStart="20dp"
            android:paddingEnd="20dp"
            android:textColor="#000"
            android:textSize="16dp"
            android:gravity="center_vertical"
            android:text="@string/top_up_center"
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:drawableStart="@mipmap/topup"
            android:drawableEnd="@mipmap/more_small" />

        <TextView
            android:id="@+id/tvTask"
            android:drawablePadding="5dp"
            android:paddingStart="20dp"
            android:paddingEnd="20dp"
            android:textColor="#000"
            android:textSize="16dp"
            android:gravity="center_vertical"
            android:text="@string/task_center"
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:drawableStart="@mipmap/task"
            android:drawableEnd="@mipmap/more_small" />



        <TextView
            android:id="@+id/tvAnchorBlackList"
            android:drawablePadding="5dp"
            android:paddingStart="20dp"
            android:paddingEnd="20dp"
            android:textColor="#000"
            android:textSize="16dp"
            android:gravity="center_vertical"
            android:text="@string/room_anchor_black_list"
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:drawableStart="@mipmap/task"
            android:drawableEnd="@mipmap/more_small" />



        <TextView
            android:id="@+id/tvUserBlackList"
            android:drawablePadding="5dp"
            android:paddingStart="20dp"
            android:paddingEnd="20dp"
            android:textColor="#000"
            android:textSize="16dp"
            android:gravity="center_vertical"
            android:text="@string/room_user_black_list"
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:drawableStart="@mipmap/task"
            android:drawableEnd="@mipmap/more_small" />

    </LinearLayout>


    <TextView
        android:id="@+id/tvCustomService"
        android:text="@string/contact_service"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        android:layout_marginBottom="60dp"
        android:gravity="center"
        app:layout_constraintBottom_toBottomOf="parent"
        android:textColor="#8F8F8F"
        android:textSize="14dp"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

    <TextView
        android:id="@+id/tvGmail"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        android:layout_marginBottom="30dp"
        android:gravity="center"
        app:layout_constraintTop_toBottomOf="@+id/tvCustomService"
        android:textColor="#8F8F8F"
        android:textSize="14dp"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

    <TextView
        android:id="@+id/tvWhatsApp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        android:layout_marginBottom="30dp"
        android:gravity="center"
        app:layout_constraintTop_toBottomOf="@+id/tvGmail"
        android:textColor="#8F8F8F"
        android:textSize="14dp"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>


</androidx.constraintlayout.widget.ConstraintLayout>